View Issue Details

IDProjectCategoryView StatusLast Update
0002066Ham Radio DeluxeBugpublic2017-09-18 00:08
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.652 
Target VersionFixed in Version6.4.0.787 
Summary0002066: Mode "NONE" appears in Favorite edit list twice
Description
Dialogs that allow editing of favorites in the Rig Control app show "NONE" twice in the list of modes.
Steps To Reproduce
1) Open Rig Control. Need a radio, but any one is fine.
2) Click on the "Favorites" heart in the toolbar
3) In the resulting "Add Favorite" dialog, examine the list of choices in the "Mode" drop down

BUG#1) "NONE" appears twice


TagsNo tags attached.
ModuleRig Control
Sub-ModuleRig Control
TestingNot Started

Relationships

Activities

K7ZCZ

2017-06-22 13:37

viewer   ~0003264

Looks like this is because the ModeStatus enum in HamRadioDeluxe/enums.h has MODE_RESERVED_0 in the range between MODE_MIN and MODE_MAX. But when EnumModesAndText is called to generate arrays that populate that combo, the bogus MODE_RESERVED_0 value is not skipped. EnumModeToText() doesn't do anything about MODE_RESERVED_0 and falls through acase statement to return "NONE" as a default string.

This means NONE = 0 is different than NONE = 12, which means we have a simple code problem but a far more interesting data migration problem. To fix this correctly, we need to figure out where these values are persisted and react accordingly when serialzing and de-serializing the data.

K7ZCZ

2017-09-11 09:56

viewer   ~0004162

The main area of persistence of this value is in LogbookDatabse.cpp inside HRDLog001. This code can't possibly work, so it must not be used -- therefore, breaking it (more) is inconsequential. I've moved a couple declarations around to try to decouple a bit better, but I'll also open another issue to make sure the HRDLog001 code is cleaned up.

K7ZCZ

2017-09-11 19:06

viewer   ~0004163

Fixed with this change set

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3847

g3ucq

2017-09-12 03:05

viewer   ~0004165

Fixed

WA9PIE

2017-09-18 00:08

administrator   ~0004223

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2017-06-22 13:29 K7ZCZ New Issue
2017-06-22 13:37 K7ZCZ Note Added: 0003264
2017-09-11 09:56 K7ZCZ Note Added: 0004162
2017-09-11 19:04 K7ZCZ Assigned To => K7ZCZ
2017-09-11 19:04 K7ZCZ Status new => assigned
2017-09-11 19:06 K7ZCZ Status assigned => resolved
2017-09-11 19:06 K7ZCZ Resolution open => fixed
2017-09-11 19:06 K7ZCZ Testing => Not Started
2017-09-11 19:06 K7ZCZ Note Added: 0004163
2017-09-11 21:32 K7ZCZ Fixed in Version => 6.4.0.785
2017-09-12 03:05 g3ucq Note Added: 0004165
2017-09-14 19:23 K7ZCZ Fixed in Version 6.4.0.785 => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004223
2017-09-18 00:08 WA9PIE Status resolved => closed